# Generated by Django 4.1.7 on 2023-04-06 20:04

from beertender_api.models.beer_reference import BeerReference
from django.db import migrations


def create_beers(apps, schema_editor):
    ref1 = BeerReference()
    ref1.ref = "leffeblonde"
    ref1.name = "Leffe blonde"
    ref1.description = "Une bière blonde d'abbaye brassée depuis 1240 et que l'on ne présente plus !"
    ref1.save()
    ref2 = BeerReference()
    ref2.ref = "brewdogipa"
    ref2.name = "Brewdog Punk IPA"
    ref2.description = "La Punk IPA est une bière écossaise s'inspirant des tendances américaines en matière de brassage et du choix des houblons."
    ref2.save()
    ref3 = BeerReference()
    ref3.ref = "fullerindiapale"
    ref3.name = "Fuller's India Pale Ale"
    ref3.description = "Brassée pour l'export, la Fuller's India Pale Ale est la vitrine du savoir faire bien « british » de cette brasserie historique."
    ref3.save()


class Migration(migrations.Migration):
    dependencies = [
        ('beertender_api', '0003_listing'),
    ]

    operations = [
        migrations.RunPython(create_beers, migrations.RunPython.noop)
    ]
